> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Tails the stdout logs for the given execution with SSE streaming

> Tails the stdout logs for the given execution with SSE streaming



## OpenAPI

````yaml /openapi-specs/stainless-processed-openapi.json get /v1/devboxes/{devbox_id}/executions/{execution_id}/stream_stdout_updates
openapi: 3.1.0
info:
  title: RunLoop API
  version: '0.1'
  description: >-
    The RunLoop API spec that allows you to host lambda functions and Devboxes
    to enable scaled long running ai workflows.
  contact:
    name: Runloop AI Support
    url: https://runloop.ai
    email: support@runloop.ai
servers:
  - url: https://api.runloop.ai
    description: Runloop API
    variables: {}
security:
  - bearerAuth: []
tags:
  - name: Benchmark
  - name: Blueprint
  - name: Blueprint-Lifecycle
  - name: Blueprint-ObservabilityTools
  - name: Devbox
  - name: Devbox-FileTools
  - name: Devbox-Lifecycle
  - name: Devbox-NetworkTools
  - name: Devbox-ObservabilityTools
  - name: Devbox-PersistenceTools
  - name: Devbox-ShellTools
  - name: Scenario
  - name: ScenarioScorer
  - name: accounts
  - name: agents
  - name: apikeys
  - name: axons
  - name: executions
  - name: gateway-configs
  - name: mcp-configs
  - name: network-policies
  - name: objects
  - name: restricted_keys
  - name: secrets
  - name: streaming
paths:
  /v1/devboxes/{devbox_id}/executions/{execution_id}/stream_stdout_updates:
    get:
      tags:
        - executions
        - streaming
      summary: Tails the stdout logs for the given execution with SSE streaming
      description: Tails the stdout logs for the given execution with SSE streaming
      operationId: streamStdOutUpdates
      parameters:
        - name: devbox_id
          in: path
          description: The ID of the devbox.
          required: true
          schema:
            type: string
        - name: execution_id
          in: path
          description: The ID of the execution.
          required: true
          schema:
            type: string
        - name: offset
          in: query
          description: >-
            The byte offset to start the stream from (if unspecified, starts
            from the beginning of the stream)
          allowEmptyValue: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecUpdateChunkView'
          headers:
            Content-Type:
              description: text/event-stream
              schema:
                type: string
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Runloop from '@runloop/api-client';


            const client = new Runloop({
              bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
            });


            const executionUpdateChunk = await
            client.devboxes.executions.streamStdoutUpdates(
              'devbox_id',
              'execution_id',
            );


            console.log(executionUpdateChunk.output);
        - lang: Python
          source: |-
            import os
            from runloop_api_client import Runloop

            client = Runloop(
                bearer_token=os.environ.get("RUNLOOP_API_KEY"),  # This is the default and can be omitted
            )
            for execution in client.devboxes.executions.stream_stdout_updates(
                execution_id="execution_id",
                devbox_id="devbox_id",
            ):
              print(execution)
components:
  schemas:
    ExecUpdateChunkView:
      type: object
      properties:
        offset:
          type: integer
          format: int64
          description: The byte offset of this chunk of log stream.
        output:
          type: string
          description: The latest log stream chunk.
      required:
        - output
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````